package prologbase;

import java.util.Vector;
import java.util.Iterator;
import java.awt.Checkbox;

public class Paper {

  private String numero;
  private String idioma;
  private String instituicao;
  private Vector assuntos= new Vector();

  public Paper(String numero, String idioma, String instituicao, Vector assuntos){
    this.numero = numero;
    this.idioma = idioma;
    this.instituicao = instituicao;
    for (Iterator i = assuntos.iterator(); i.hasNext(); ) {
      Object item = i.next();
      this.assuntos.add(((Checkbox)item).getLabel());
    }
  }

  public String getIdioma() {
    return idioma;
  }
  public String getInstituicao() {
    return instituicao;
  }
  public String getNumero() {
    return numero;
  }
  public void setIdioma(String idioma) {
    this.idioma = idioma;
  }
  public void setInstituicao(String instituicao) {
    this.instituicao = instituicao;
  }
  public void setNumero(String numero) {
    this.numero = numero;
  }

  public Object[] getAssuntos(){
    return this.assuntos.toArray();
  }

}