package prologbase;

import java.util.Vector;
import java.util.Iterator;
import java.awt.Checkbox;

public class Revisor {
  //reviewer('313', 3, [portuguese], [ufpr], [maintenance,design]).
  private String numero;
  private String maxpapers;
  private boolean portuguese;
  private boolean english;
  private String instituicao;
  private Vector assuntos = new Vector();

  public boolean isInEnglish() {
    return english;
  }

  public Revisor(String numero ,String maxpapers, boolean portuguese ,
  boolean english ,String instituicao, Vector assuntos ) {
  this.numero = numero;
  this.maxpapers = maxpapers;
  this.portuguese = portuguese;
  this.english = english;
  this.instituicao = instituicao;
  for (Iterator i = assuntos.iterator(); i.hasNext(); ) {
      Object item = i.next();
      this.assuntos.add(((Checkbox)item).getLabel());
    }
  }
  public String getInstituicao() {
    return instituicao;
  }
  public Object[] getAssuntos(){
    return this.assuntos.toArray();
  }

  public String getMaxpapers() {
    return maxpapers;
  }
  public String getNumero() {
    return numero;
  }
  public boolean isInPortuguese() {
    return portuguese;
  }
  public void setPortuguese(boolean potuguese) {
    this.portuguese = portuguese;
  }
  public void setMaxpapers(String maxpapers) {
    this.maxpapers = maxpapers;
  }
  public void setNumero(String numero) {
    this.numero = numero;
  }
  public void setInstituicao(String instituicao) {
    this.instituicao = instituicao;
  }
  public void setEnglish(boolean english) {
    this.english = english;
  }

}